Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Feb 2017 10:07:36 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Thu, 23 Feb 2017 21:33:33 -0500
> 
> At 18:24 +0200 on Thursday 2017-02-23, Eli Zaretskii wrote:
> >
> > Thanks. It might be enough if you run Emacs under a debugger
> > with a breakpoint in the GTK function which emits this warning,
> > then show us the backtrace from that function. That should point
> > to the code that gets executed when it probably shouldn't.
> 
> This warning is emitted by line 11414 of
> `gtk_window_parse_geometry' in gtkwindow.c in the gtk+-3.22.8
> sources. The code looks like this:

Thanks for the footwork and all the useful information this
uncovered.  I will look closer at that later, but right now I believe
I am (or was) confused...

> Lisp Backtrace:
> "x-create-frame" (0xffff8ed0)
> "x-create-frame-with-faces" (0xffff9408)
> 0x1550b80 PVEC_COMPILED
> "apply" (0xffff9a70)
> "frame-creation-function" (0xffffa010)
> "make-frame" (0xffffa560)
> "make-frame-on-display" (0xffffaac8)
> "frameset--restore-frame" (0xffffb0c0)
> "frameset-restore" (0xffffb610)
> "desktop-restore-frameset" (0xffffbba8)
> "desktop-read" (0xffffc100)

This seems to indicate Emacs is restoring desktop into a new GUI
session.  But in your original report you said:

> When starting Emacs from a terminal/console window, GTK emits the
> following message

which I interpreted to mean you were starting "emacs -nw".  Did I
misinterpret what you were saying?  If so, what is the significance of
the "terminal/console window" part?